<?php
/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

// html/admin/require.php を require
if( !defined("CLASS_PATH") ){
    require_once("../../admin/require.php");
}


// 管理画面認証
SC_Utils_Ex::sfIsSuccess(new SC_Session());

// 定数
define('DONATION_TITLE', 'EC-CUBE Donation');
define('DONATION_DATA', DATA_PATH . 'downloads/donation.csv');
define('DONATION_VERSION', '0.0.1');

$objQuery = new SC_Query();
// 全顧客取得
$arrCustomerTemp = $objQuery->getAll('SELECT customer_id, name01, name02, point FROM dtb_customer WHERE del_flg = 0');

// ポイント合計
$arrPoints = $objQuery->getAll('SELECT SUM(point) FROM dtb_customer WHERE del_flg = 0');
$total_point = 0;
if (!is_null($arrPoints[0])) {
    $total_point = $total_point[0];

}
// 顧客IDごとの配列
$arrCustomers = array();

foreach ($arrCustomerTemp as $customer) {
    $arrCustomers[$customer['customer_id']] = $customer;
}

// 寄付一覧
$arrDnTemp = file(DONATION_DATA);
$arrDonations = array();
$correct_point = 0;
foreach ($arrDnTemp as $dn) {
    $arrDn = explode(",", $dn);
    $arrDonations[] = $arrDn;
    $correct_point += $arrDn[2];
}

?>
<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
<head>
<title><?php echo DONATION_TITLE; ?> <?php echo DONATION_VERSION; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHAR_CODE; ?>" />
<meta http-equiv="content-script-type" content="text/javascript" />
<meta http-equiv="content-style-type" content="text/css" />
<meta name="robots" content="noindex,nofollow" />
<link rel="stylesheet" href="./dn.css" type="text/css" media="all" />
</head>
<body>
<div id="container">
<div id="contents">
<h1><?php echo DONATION_TITLE; ?></h1>
<h2>現在のステータス</h2>
<table>
  <tr>
    <th>集まったポイント</th><td><?php printf('%d', $correct_point); ?>pt</td>
  </tr>
  <tr>
    <th>義援金総額</th><td><?php printf('%d', $correct_point * POINT_VALUE); ?>円</td>
  </tr>
  <tr>
    <th>顧客の保持ポイント合計</th><td><?php printf('%d', $total_point); ?>pt</td>
  </tr>
</table>

<p>集まった義援金総額を, 義援金として日本赤十字社などにお贈り下さい</p>

<h2>寄付いただいた顧客一覧</h2>
<table>
  <tr>
    <th>寄付日時</th><th>顧客ID</th><th>お名前</th><th>寄付ポイント</th>
  </tr>
  <?php foreach ($arrDonations as $donation) { ?>
  <tr>
    <td><?php echo $donation[0]; ?></td>
    <td><?php echo $donation[1]; ?></td>
    <td><?php echo $arrCustomers[$donation[1]]['name01']; ?> <?php echo $arrCustomers[$donation[1]]['name02']; ?></td>
    <td><?php echo $donation[2]; ?>pt</td>
  </tr>
  <?php } ?>
</table>
</div>
</div>
</body>
</html>