<style type="text/css">
div#sendPoint{border: none;background: #FFF6CF;text-align: center;overflow: auto;}
div#sendPoint div#innner{border: 3px solid red;margin:8px;}
div#sendPoint div#innner h2{margin:12px;font-size:18px;color:red;text-shadow: -1px -1px 0px #FFF;font-weight: bold;}
div#sendPoint div#innner p{margin:2px 4px;font-size:90%;}
div#sendPoint div#innner div#sendForm{border:1px solid #CCC;margin:12px;background:#FFF;padding:8px 4px;}
div#sendPoint div#innner div#sendForm form input{font-size: 120%;width: 60px;margin-bottom:4px;}
div#sendPoint div#innner div#sendForm form input#sendpointValue{text-align: right; padding:2px 4px;margin-right: 6px;}
div#sendPoint div#innner span.smalltext{font-size:90%;}
div#sendPoint div#innner span.red{color:red;font-weight: bold;}
</style>
<?php
/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * 2011-03-12 Tao Sasaki (tao@xross-cube.com)
 *
 */

// {{{ requires
if( !defined("CLASS_PATH") ){
    require_once("../../require.php");
}
require_once(CLASS_PATH . "pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php");

// }}}
// {{{ generate page
class LC_Page_FrontParts_Bloc_SendPoint extends LC_Page_FrontParts_Bloc {

    // }}}
    // {{{ functions

    /**
     * Page を初期化する.
     *
     * @return void
     */
    function init() {
        parent::init();
        $this->tpl_login = false;
        $this->tpl_disable_logout = false;
        $this->tpl_error = "";
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    function process() {
        if(!file_exists(DATA_PATH.'downloads/donation.csv')){
            $objQuery = new SC_Query;
            $ret = $objQuery->getOne("SELECT php_path FROM dtb_bloc WHERE php_path = 'frontparts/bloc/send_point.php'");
            if(!$ret){
                $objQuery->query("INSERT INTO dtb_bloc (bloc_name,tpl_path,filename,create_date,update_date,php_path,del_flg)
                 VALUES('東北地方太平洋沖地震ポイント寄付','','send_point',NOW(),NOW(),'frontparts/bloc/send_point.php',0)");
            }
        }

        $objCustomer = new SC_Customer();
        $objCustomer->updateSession();
        // クッキー管理クラス
        $objCookie = new SC_Cookie(COOKIE_EXPIRE);

        // ログイン判定
        if($objCustomer->isLoginSuccess()) {
            $this->tpl_user_point = $objCustomer->getValue('point');
            if (strlen($this->tpl_user_point) == 0) $this->tpl_user_point = 0;
            if(isset($_POST["sendpoint"]) and $this->isValidToken()){
                //ポイント寄付処理
                $point = intval(mb_convert_kana($_POST["sendpoint"],"n"));
                if(!$point or $this->tpl_user_point < $point){
                    $this->tpl_error = "1以上のポイントを保有ポイント内で半角数字で入力してください。";
                }else{
                    $objQuery = new SC_Query;
                    $sqlval = array('point' => ($this->tpl_user_point - $point));
                    $where = 'customer_id = ? AND del_flg = 0 AND status = 2';
                    $rs = $objQuery->update('dtb_customer', $sqlval, $where, array($objCustomer->getValue('customer_id')));
                    if($rs){
                        $fp = fopen(DATA_PATH.'downloads/donation.csv','a+');
                        fwrite($fp,date("Y-m-d G:i:s").",".$objCustomer->getValue('customer_id').",".$point."\n");
                        $objCustomer->setValue("point", ($this->tpl_user_point - $point));
                        $this->tpl_error = "ご協力ありがとうございます。".$point."ptを承りました。<br />寄付頂いたポイント分を、東北地方太平洋沖地震の復旧活動へ寄付いたします。"; 
                    } else {
                        $this->tpl_error = "システムエラー";  
                    }
                }
            }
            $this->tpl_login = true;
            $objCustomer->updateSession();
            $this->tpl_user_point = $objCustomer->getValue('point');
            if (strlen($this->tpl_user_point) == 0) $this->tpl_user_point = 0;
            $this->tpl_name1 = $objCustomer->getValue('name01');
            $this->tpl_name2 = $objCustomer->getValue('name02');
        } else {
            // クッキー判定
            $this->tpl_login_email = $objCookie->getCookie('login_email');
            if($this->tpl_login_email != "") {
                $this->tpl_login_memory = "1";
            }

            // POSTされてきたIDがある場合は優先する。
            if($_POST['login_email'] != "") {
                $this->tpl_login_email = $_POST['login_email'];
            }
        }
        $this->transactionid = $this->getToken();
    }

    /**
     * デストラクタ.
     *
     * @return void
     */
    function destroy() {
        parent::destroy();
    }
}

$objPage = new LC_Page_FrontParts_Bloc_SendPoint();
register_shutdown_function(array($objPage, "destroy"));
$objPage->init();
$objPage->process();

?>
<a name="sendPoint"></a>
<div id="sendPoint">
<div id="innner">
<h2>東北地方太平洋沖地震へのポイント寄付のお願い</h2>
<?php if($objPage->tpl_login){?>
<p>現在お客様が保有している当店のポイントを東北地方太平洋沖地震の復旧活動へ寄付出来ます。</p>
<p>下記フォームに寄付するポイント数を入力の上、「寄付」ボタンをクリックしてください。</p>
<p>運営担当者が寄付されたポイントを集計し、東北地方太平洋沖地震の復旧活動に寄付させて頂きます。</p>
<div id="sendForm">
<p><span class="red"><?php echo $objPage->tpl_error; ?></span></p>
    <form method="post" action="#sendPoint" name="sendPoint">
        <input type="hidden" name="transactionid" value="<?php echo $objPage->transactionid ?>" />
        <p><span class="smalltext">現在お客様が保有しているポイント:<?php echo $objPage->tpl_user_point ?>pt</span></p>
        <p>
            <input type="text" maxlength="10" name="sendpoint" id="sendpointValue" value="" size="5" />ptを寄付<br />
            <input type="submit" value="寄付" />
        </p>
    </form>
</div>
<?php }else{ ?>
<p>会員のお客様は、現在お客様が保有している当店のポイントを東北地方太平洋沖地震の復旧活動へ寄付できます。ログインしてご協力をお願いします。</p>
<p>- <a href="<?php echo URL_MYPAGE_TOP ?>">ログイン</a> -</p>
<p>運営担当者が寄付されたポイントを集計し、東北地方太平洋沖地震の復旧活動へ寄付させて頂きます。</p>
<?php } ?>
</div>
</div>

